com.h3c.util.pkt

## Enum Dns.RecordType

- java.lang.Object
- - java.lang.Enum<Dns.RecordType>
  - - com.h3c.util.pkt.Dns.RecordType

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<Dns.RecordType>
  Enclosing class:
    Dns

      public static enum Dns.RecordType
      extends Enum<Dns.RecordType>
      implements ProtocolEnum

  Record types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A` IPv4 address records.
    `A6`
    `AAAA` IPv6 address records.
    `AFSDB` AFS database records.
    `ANY` All cached records.
    `APL` Address prefix list records.
    `ATMA` Not in current use.
    `AXFR` Authoritative zone transfer records.
    `CAA` Certification authority authorization records.
    `CERT` Certificate records.
    `CNAME` Canonical name records.
    `DHCID` DHCP identifier records.
    `DNAME` Delegation name records.
    `DNSKEY` DSN key records.
    `DS` Delegation signer records.
    `EID` Not in current use.
    `GPOS` Limited early version of the LOC records.
    `HINFO` Host information records.
    `HIP` Host identity protocol records.
    `IPSECKEY` IPsec key records.
    `ISDN` Integrated services digital network records.
    `IXFR` Incremental zone transfer records.
    `KEY` Key records.
    `KX` Key eXchanger records.
    `LOC` Location records.
    `MAILA` Obsolete.
    `MAILB` Obsolete.
    `MB` Obsolete.
    `MD` Obsolete.
    `MF` Obsolete.
    `MG` Obsolete.
    `MINFO` Obsolete.
    `MR` Obsolete.
    `MX` Mail exchanger records.
    `NAPTR` Naming authority pointer records.
    `NIMLOC` Not in current use.
    `NONE` No record type (unknown place holder).
    `NS` Name service records.
    `NSAP` Not in current use.
    `NSAPPTR` Not in current use.
    `NSEC` Next-Secure records.
    `NSEC3` NSECv3 records.
    `NSEC3PARAM` NSECv3 parameter records.
    `NULL` Obsolete.
    `NXT` Replaced by Next-Secure.
    `OPT` Option records.
    `PTR` Pointer records.
    `PX` Not in current use.
    `RP` Responsible person records.
    `RRSIG` DNSSEC signature records.
    `RT` Not in current use.
    `SIG` Signature records.
    `SINK` Obsolete.
    `SOA` Start of authority records.
    `SPF` Sender policy framework records.
    `SRV` Service locator records.
    `SSHFP` SSH public key finger print records.
    `TKEY` Secret key records.
    `TLSA` TLSA certificate association records.
    `TSIG` Transaction signature records.
    `TXT` Text records.
    `WKS` Obsolete.
    `X25` Not in current use.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static Dns.RecordType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Dns.RecordType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Dns.RecordType NONE

      No record type (unknown place holder).

    - #### A

          public static final Dns.RecordType A

      IPv4 address records.

    - #### NS

          public static final Dns.RecordType NS

      Name service records.

    - #### MD

          public static final Dns.RecordType MD

      Obsolete.

    - #### MF

          public static final Dns.RecordType MF

      Obsolete.

    - #### CNAME

          public static final Dns.RecordType CNAME

      Canonical name records.

    - #### SOA

          public static final Dns.RecordType SOA

      Start of authority records.

    - #### MB

          public static final Dns.RecordType MB

      Obsolete.

    - #### MG

          public static final Dns.RecordType MG

      Obsolete.

    - #### MR

          public static final Dns.RecordType MR

      Obsolete.

    - #### NULL

          public static final Dns.RecordType NULL

      Obsolete.

    - #### WKS

          public static final Dns.RecordType WKS

      Obsolete.

    - #### PTR

          public static final Dns.RecordType PTR

      Pointer records.

    - #### HINFO

          public static final Dns.RecordType HINFO

      Host information records.

    - #### MINFO

          public static final Dns.RecordType MINFO

      Obsolete.

    - #### MX

          public static final Dns.RecordType MX

      Mail exchanger records.

    - #### TXT

          public static final Dns.RecordType TXT

      Text records.

    - #### RP

          public static final Dns.RecordType RP

      Responsible person records.

    - #### AFSDB

          public static final Dns.RecordType AFSDB

      AFS database records.

    - #### X25

          public static final Dns.RecordType X25

      Not in current use.

    - #### ISDN

          public static final Dns.RecordType ISDN

      Integrated services digital network records.

    - #### RT

          public static final Dns.RecordType RT

      Not in current use.

    - #### NSAP

          public static final Dns.RecordType NSAP

      Not in current use.

    - #### NSAPPTR

          public static final Dns.RecordType NSAPPTR

      Not in current use.

    - #### SIG

          public static final Dns.RecordType SIG

      Signature records.

    - #### KEY

          public static final Dns.RecordType KEY

      Key records.

    - #### PX

          public static final Dns.RecordType PX

      Not in current use.

    - #### GPOS

          public static final Dns.RecordType GPOS

      Limited early version of the LOC records.

    - #### AAAA

          public static final Dns.RecordType AAAA

      IPv6 address records.

    - #### LOC

          public static final Dns.RecordType LOC

      Location records.

    - #### NXT

          public static final Dns.RecordType NXT

      Replaced by Next-Secure.

    - #### EID

          public static final Dns.RecordType EID

      Not in current use.

    - #### NIMLOC

          public static final Dns.RecordType NIMLOC

      Not in current use.

    - #### SRV

          public static final Dns.RecordType SRV

      Service locator records.

    - #### ATMA

          public static final Dns.RecordType ATMA

      Not in current use.

    - #### NAPTR

          public static final Dns.RecordType NAPTR

      Naming authority pointer records.

    - #### KX

          public static final Dns.RecordType KX

      Key eXchanger records.

    - #### CERT

          public static final Dns.RecordType CERT

      Certificate records.

    - #### A6

          public static final Dns.RecordType A6

    - #### DNAME

          public static final Dns.RecordType DNAME

      Delegation name records.

    - #### SINK

          public static final Dns.RecordType SINK

      Obsolete.

    - #### OPT

          public static final Dns.RecordType OPT

      Option records.

    - #### APL

          public static final Dns.RecordType APL

      Address prefix list records.

    - #### DS

          public static final Dns.RecordType DS

      Delegation signer records.

    - #### SSHFP

          public static final Dns.RecordType SSHFP

      SSH public key finger print records.

    - #### IPSECKEY

          public static final Dns.RecordType IPSECKEY

      IPsec key records.

    - #### RRSIG

          public static final Dns.RecordType RRSIG

      DNSSEC signature records.

    - #### NSEC

          public static final Dns.RecordType NSEC

      Next-Secure records.

    - #### DNSKEY

          public static final Dns.RecordType DNSKEY

      DSN key records.

    - #### DHCID

          public static final Dns.RecordType DHCID

      DHCP identifier records.

    - #### NSEC3

          public static final Dns.RecordType NSEC3

      NSECv3 records.

    - #### NSEC3PARAM

          public static final Dns.RecordType NSEC3PARAM

      NSECv3 parameter records.

    - #### TLSA

          public static final Dns.RecordType TLSA

      TLSA certificate association records.

    - #### HIP

          public static final Dns.RecordType HIP

      Host identity protocol records.

    - #### SPF

          public static final Dns.RecordType SPF

      Sender policy framework records.

    - #### TKEY

          public static final Dns.RecordType TKEY

      Secret key records.

    - #### TSIG

          public static final Dns.RecordType TSIG

      Transaction signature records.

    - #### IXFR

          public static final Dns.RecordType IXFR

      Incremental zone transfer records.

    - #### AXFR

          public static final Dns.RecordType AXFR

      Authoritative zone transfer records.

    - #### MAILB

          public static final Dns.RecordType MAILB

      Obsolete.

    - #### MAILA

          public static final Dns.RecordType MAILA

      Obsolete.

    - #### ANY

          public static final Dns.RecordType ANY

      All cached records.

    - #### CAA

          public static final Dns.RecordType CAA

      Certification authority authorization records.

  - ### Method Detail

    - #### values

          public static Dns.RecordType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Dns.RecordType c : Dns.RecordType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Dns.RecordType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.